Bug 863956 - [XMLRPC] New parameter "assignee" for TestRun.create()
[XMLRPC] New parameter "assignee" for TestRun.create()
Status: NEW
Product: TCMS
Classification: Other
Component: XMLRPC (Show other bugs)
3.8.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Yang Ren
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-08 03:39 EDT by Petr Šplíchal
Modified: 2016-05-31 21:49 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Šplíchal 2012-10-08 03:39:41 EDT
Description of problem:

When creating a new test run it is useful to set the default
assignee of all linked test cases to given user. Currently, it's
only possible to create a new test run with all test cases set to
their respective default assignees.

Thus, when creating a new test run, an email is send even to people
which are not involved in executing the test run. Please, add a
new optional parameter "assignee" which would set given user as the
default assignee for all created test-case-run. Thanks.

Version-Release number of selected component (if applicable):
Nitrate 3.8.0

Steps to Reproduce:
TestRun.create(id, {assignee: 1234})
  
Expected results:
User psplicha set as the assignee of all test cases in freshly
created test run.

Additional info:
https://tcms.engineering.redhat.com/xmlrpc/#testrun.create
Comment 1 yawei Li 2012-10-09 01:40:21 EDT
Hi Petr,

As the code is frozen for 3..8.1, we will implement it in next release.
Currently, please use TestRun.update() to update the assignee.

Note You need to log in before you can comment on or make changes to this bug.